%define upstream_name	 XML-DOM-XPath
%define upstream_version 0.14

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	XPath support to XML::DOM, using XML::XPath engine
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIROD/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl-XML-XPath >= 1.13-5mdk
BuildRequires:	perl-XML-XPathEngine
BuildRequires:	perl-XML-DOM
BuildArch:	noarch

Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

# Remove provides which clash with symbols from perl-XML-DOM
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(XML::DOM::(Attr|Comment|Document)\\)
%global __provides_exclude %__provides_exclude|perl\\(XML::DOM::(Element|Namespace|Node|ProcessingInstruction|Text)\\)

%description
XML::DOM::XPath allows you to use XML::XPath methods to query a DOM. This is
often much easier than relying only on getElementsByTagName.

It lets you use all of the XML::DOM methods.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std


%files
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.140.0-9pclos2017
- rebuild against updates

